.dark-box {
    /* padding: 0px 0 0 40px; */
    position: fixed; /* Fixed position */
    top: 0; /* Align to top */
    left: 0; /* Align to left */
    width: 30px; /* Start with hidden panel */
    height: 100vh; /* Make sidebar full height */
    overflow-y: auto; /* Add vertical scrollbar if content overflows */
    transition: width 0.3s ease; /* Smooth transition */
}
.dark-box.open {
    width: 270px; /* Width of the panel when open */
}
.dark-box-without-ham {
    display: flex;
    flex-direction: column;
    background-color: #222935;
    width: 200px; /* Effective width of the content area inside the panel */
    height: 100vh;
    padding-left: 40px;
    overflow-y: auto; /* Add vertical scrollbar if content overflows */
}
.dark-box Button{
    align-self: flex-end;
    font-weight: 600;
    margin-top: 300px;
    margin-right: 60px;
}
.hamburger {
    position: absolute; /* Position relative to parent */
    top: 20px;
    left: 236px; /* Stick to the right edge of the panel when open */
    width: 30px;
    border-radius: 5px;
    height: 30px;
    background-color: #222935;
    color: white;
    font-size: 25px;
    display: flex;
    justify-content: center;
    padding-bottom: 3px;
    align-items: center;
    line-height: 50px; /* Center the icon vertically */
    cursor: pointer;
    transition: left 0.3s ease; /* Smooth transition */
    z-index: 10; /* Ensure it's on top of other elements */
}
@media (max-width: 600px) { 
    .dark-box{
        width: 50px;
        padding: 0px 0 0 30px;

    }
    .dark-box.open {
        width: 80px; /* Width of the panel when open */
        padding-left: 0px;
        /* background-color: #0d4bb7; */
    }
    .dark-box-without-ham{
        width: 40px;
        padding-left: 15px;
    }
    .hamburger{
        top: 30px;
        left: 45px;
    }
    .dark-box Button{
        margin-top: 300px;
        margin-left: -12px;
    }
    
}